;;; ~/.doom.d/+org.el -*- lexical-binding: t; -*-
;; Org mode configuration
;;
;; Change  TODO keywords
(setq org-todo-keywords '((sequence "TODO" "NEXT" "WAITING" "INACTIVE" "|" "DONE" "CANCELLED")))
;; Rice elements
(setq org-todo-keyword-faces '(("INACTIVE" . "grey") ("NEXT" . "turquoise") ("WAITING" . warning))
      org-ellipsis " ▼ "
      org-bullets-bullet-list '("◉" "⁖" "○" "‣"))
;; Cycle through header visibility
(after! evil-org
  (remove-hook 'org-tab-first-hook #'+org-cycle-only-current-subtree-h))
;; Disable completion
(set-company-backend! 'org-mode nil)
;; Turn off line numbers
(add-hook 'org-mode-hook (lambda () (display-line-numbers-mode -1)))
;; Add Notes to agenda
(setq org-agenda-files '("~/Notes"))
;; Tailor Org super agenda
(use-package! org-super-agenda
  :after org-agenda
  :init
  (setq org-super-agenda-groups '((:name "Due today"
                                          :deadline today)
                                  (:name "Important"
                                          :priority "A")
                                  (:name "Overdue"
                                          :deadline past)
                                  (:name "Due soon"
                                          :deadline future)))
  :config
  (org-super-agenda-mode)
  )
;; Show inline images by default
(setq org-startup-with-inline-images t)
;; Add timestamp to DONE task
(setq org-log-done 'time)
;; Print babel results to the buffer
(setq org-babel-default-header-args '((:session . "none") (:results . "output") (:exports . "code")
                                      (:cache . "no") (:noweb . "no") (:hlines . "no") (:tangle . "no")))
